summaryrefslogtreecommitdiffstats
path: root/source/l/ilmbase
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/ilmbase')
-rw-r--r--source/l/ilmbase/ilmbase-2.2.0-no_undefined.patch24
-rwxr-xr-xsource/l/ilmbase/ilmbase.SlackBuild14
-rw-r--r--source/l/ilmbase/ilmbase.no_undefined.diff31
-rw-r--r--source/l/ilmbase/ilmbase.secondary.diff12
-rw-r--r--source/l/ilmbase/ilmbase.ucontext.diff28
5 files changed, 28 insertions, 81 deletions
diff --git a/source/l/ilmbase/ilmbase-2.2.0-no_undefined.patch b/source/l/ilmbase/ilmbase-2.2.0-no_undefined.patch
new file mode 100644
index 000000000..d64190783
--- /dev/null
+++ b/source/l/ilmbase/ilmbase-2.2.0-no_undefined.patch
@@ -0,0 +1,24 @@
+diff -up ilmbase-2.2.0/IlmThread/Makefile.am.no_undefined ilmbase-2.2.0/IlmThread/Makefile.am
+--- ilmbase-2.2.0/IlmThread/Makefile.am.no_undefined 2014-08-09 21:03:38.000000000 -0500
++++ ilmbase-2.2.0/IlmThread/Makefile.am 2014-11-20 07:44:27.913588030 -0600
+@@ -14,7 +14,7 @@ libIlmThread_la_LDFLAGS = -version-info
+ if LIB_SUFFIX_EXISTS
+ libIlmThread_la_LDFLAGS += -release @LIB_SUFFIX@
+ endif
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+
+diff -up ilmbase-2.2.0/IlmThread/Makefile.in.no_undefined ilmbase-2.2.0/IlmThread/Makefile.in
+--- ilmbase-2.2.0/IlmThread/Makefile.in.no_undefined 2014-08-09 23:37:24.000000000 -0500
++++ ilmbase-2.2.0/IlmThread/Makefile.in 2014-11-20 07:44:27.914587968 -0600
+@@ -251,7 +251,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
+
+ libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ \
+ -no-undefined $(am__append_1)
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+ libIlmThreadinclude_HEADERS = IlmThreadPool.h IlmThread.h \
+ IlmThreadSemaphore.h IlmThreadMutex.h \
diff --git a/source/l/ilmbase/ilmbase.SlackBuild b/source/l/ilmbase/ilmbase.SlackBuild
index a0f3b67d3..55cff0e9b 100755
--- a/source/l/ilmbase/ilmbase.SlackBuild
+++ b/source/l/ilmbase/ilmbase.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2007, 2013 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2013, 2014 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2008, 2009, 2010, 2014 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -64,14 +64,6 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-
-zcat $CWD/ilmbase.no_undefined.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/ilmbase.secondary.diff.gz | patch -p1 --verbose || exit 1
-if [ $ARCH = i486 ]; then
- # Upstream patch to fix ia32 build:
- zcat $CWD/ilmbase.ucontext.diff.gz | patch -p1 --verbose || exit 1
-fi
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -79,6 +71,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/ilmbase-2.2.0-no_undefined.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/l/ilmbase/ilmbase.no_undefined.diff b/source/l/ilmbase/ilmbase.no_undefined.diff
deleted file mode 100644
index da46ddbe4..000000000
--- a/source/l/ilmbase/ilmbase.no_undefined.diff
+++ /dev/null
@@ -1,31 +0,0 @@
-diff -up ilmbase-1.0.2/IlmThread/Makefile.am.pthread_hack ilmbase-1.0.2/IlmThread/Makefile.am
---- ilmbase-1.0.2/IlmThread/Makefile.am.pthread_hack 2006-12-08 16:23:08.000000000 -0600
-+++ ilmbase-1.0.2/IlmThread/Makefile.am 2010-12-08 09:25:35.753537799 -0600
-@@ -11,7 +11,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
- IlmThreadMutexPosix.cpp
-
- libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ -no-undefined
--libIlmThread_la_LIBADD = ../Iex/libIex.la
-+libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
-
- libIlmThreadincludedir = $(includedir)/OpenEXR
-
-@@ -23,4 +23,4 @@ noinst_HEADERS =
- EXTRA_DIST = $(noinst_HEADERS) IlmThreadMutexWin32.cpp IlmThreadSemaphoreWin32.cpp \
- IlmThreadWin32.cpp
-
--INCLUDES = -I$(top_builddir) -I$(top_srcdir)/Iex -I$(top_srcdir)/config
-\ No newline at end of file
-+INCLUDES = -I$(top_builddir) -I$(top_srcdir)/Iex -I$(top_srcdir)/config
-diff -up ilmbase-1.0.2/IlmThread/Makefile.in.pthread_hack ilmbase-1.0.2/IlmThread/Makefile.in
---- ilmbase-1.0.2/IlmThread/Makefile.in.pthread_hack 2010-07-22 20:13:12.000000000 -0500
-+++ ilmbase-1.0.2/IlmThread/Makefile.in 2010-12-08 09:26:10.136971078 -0600
-@@ -208,7 +208,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
- IlmThreadMutexPosix.cpp
-
- libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ -no-undefined
--libIlmThread_la_LIBADD = ../Iex/libIex.la
-+libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
- libIlmThreadincludedir = $(includedir)/OpenEXR
- libIlmThreadinclude_HEADERS = IlmThreadPool.h IlmThread.h \
- IlmThreadSemaphore.h IlmThreadMutex.h
diff --git a/source/l/ilmbase/ilmbase.secondary.diff b/source/l/ilmbase/ilmbase.secondary.diff
deleted file mode 100644
index d358fbb4c..000000000
--- a/source/l/ilmbase/ilmbase.secondary.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -up ilmbase-1.0.3/IexMath/IexMathFpu.cpp.secondary ilmbase-1.0.3/IexMath/IexMathFpu.cpp
---- ilmbase-1.0.3/IexMath/IexMathFpu.cpp.secondary 2012-09-04 10:26:55.000000000 +0200
-+++ ilmbase-1.0.3/IexMath/IexMathFpu.cpp 2012-09-04 10:27:20.000000000 +0200
-@@ -27,7 +27,7 @@
- #endif
-
-
--#ifdef HAVE_UCONTEXT_H
-+#if defined(HAVE_UCONTEXT_H) && (defined(__x86_64__) || defined(__i386__))
-
-
- #include <ucontext.h>
diff --git a/source/l/ilmbase/ilmbase.ucontext.diff b/source/l/ilmbase/ilmbase.ucontext.diff
deleted file mode 100644
index 2a57508fd..000000000
--- a/source/l/ilmbase/ilmbase.ucontext.diff
+++ /dev/null
@@ -1,28 +0,0 @@
-diff -up ilmbase-1.0.3/IexMath/IexMathFpu.cpp.ucontext ilmbase-1.0.3/IexMath/IexMathFpu.cpp
---- ilmbase-1.0.3/IexMath/IexMathFpu.cpp.ucontext 2012-07-26 20:51:55.000000000 +0200
-+++ ilmbase-1.0.3/IexMath/IexMathFpu.cpp 2012-08-02 23:33:14.815036891 +0200
-@@ -228,6 +228,7 @@ clearExceptions ()
- const uint16_t cwRestoreMask = ~((3 << 10) | (3 << 8));
- const uint16_t cwRestoreVal = (0 << 10) | (3 << 8);
-
-+#if 0
- inline void
- restoreControlRegs (const ucontext_t & ucon, bool clearExceptions)
- {
-@@ -235,7 +236,7 @@ restoreControlRegs (const ucontext_t & u
- setMxcsr (ucon.uc_mcontext.fpregs->mxcsr, clearExceptions);
- }
-
--#if 0
-+#endif
-
- //
- // Ugly, the mxcsr isn't defined in GNU libc ucontext_t, but
-@@ -255,7 +256,6 @@ restoreControlRegs (const ucontext_t & u
- setMxcsr (kfp->magic == 0 ? kfp->mxcsr : 0, clearExceptions);
- }
-
--#endif
-
- } // namespace FpuControl
-